Author Topic: Forum software needs update  (Read 13793 times)

0 Members and 1 Guest are viewing this topic.

dk70

  • Guest
Forum software needs update
« on: July 06, 2005, 05:32:05 AM »
Just a reminder: Simplemachines is now at 1.05 and you still use 1.01

There is a changelog in 1.05 in case you wonder if updating is needed. Usually is, at least for security reasons. Be sure they will "urge" you to take action, not much different than AV software :)

Offline Lisandro

  • Avast team
  • Certainly Bot
  • *
  • Posts: 67241
Re: Forum software needs update
« Reply #1 on: July 06, 2005, 05:38:25 AM »
Pavel...  8)
We want a 'good' update... nothing that bring us troubles  ;D
The best things in life are free.

dk70

  • Guest
Re: Forum software needs update
« Reply #2 on: July 06, 2005, 05:51:47 AM »
SMF is very solid, also with updates. Piece of cake but take a look at their very informative support forum if there are questions. Mods and themes are probably only concern. Most themes are updated for each new forum version - minor changes. But check that, this is custom made theme I think.




Offline igor

  • Avast team
  • Serious Graphoman
  • *
  • Posts: 11811
    • AVAST Software
Re: Forum software needs update
« Reply #3 on: July 06, 2005, 04:35:37 PM »
That may rather be a suggestion for Kubec, instead of Pavel ;D

kubecj

  • Guest
Re: Forum software needs update
« Reply #4 on: July 07, 2005, 11:21:36 AM »
Kubec's approach is always 'don't touch it when it works'.
This software works without problems. New version doesn't bring any new functionality (1.0.4 was even buggy). There are mods which may not work after the upgrade. Why should I risk it?

BTW: There is a beta of 1.1 out. That release has new functionality and it's something I may consider (as soon as it goes gold).

Offline szc

  • Avast Evangelist
  • Starting Graphoman
  • ***
  • Posts: 6957
Re: Forum software needs update
« Reply #5 on: July 07, 2005, 01:20:23 PM »
Very clever and good calculated answer Kubecj. Let's wait until it goes gold... till now, I haven't noticed any single soul in these forums that complained about this engine or something connected to it. If it works, don't fix it...  ;)
MB: GIGABYTE GA-Z77X-UD3H Intel 7 Series  - LGA1155, CPU: Intel Core i5-3570K - Quad Core, 3.40GHz (3.80GHz Max Turbo), CPU COOLER: Cooler Master Hyper 212 EVO Direct Heat Pipe R2, RAM: 16 GB Kingston HyperX Blu DDR3, VIDEO CARD: Galaxy GeForce GTX 560 Ti - 1GB, GDDR5, POWER SUPPLY: Corsair Enthusiast Series TX750 V2 - 750 Watts, HD: Seagate Barracuda - 2TB, 7200RPM, 64MB, SATA 6Gb/s

dk70

  • Guest
Re: Forum software needs update
« Reply #6 on: July 08, 2005, 06:56:57 AM »
Well Im not going to talk about forum or php security on an AV forum - just noticed Simplemachines call 1.05 a "critical release" they could be wrong of course...

Those updates are very much suppoesed to be painless, not major operation. The "Dont touch" doesnt and should not apply. Also those mods worth using will be updated, minor changes. Same with themes. Should be checked out but no show stopper.

Offline szc

  • Avast Evangelist
  • Starting Graphoman
  • ***
  • Posts: 6957
Re: Forum software needs update
« Reply #7 on: July 09, 2005, 03:55:49 AM »
Your idea and advice is certainly very welcome and with best possible intentions... it's just, I believe that guys from Alwil have so much to do regarding releasing upcoming avast! program update and testing and fixing problems in those beta releases. Once, they catch some spare time, I'm sure they will play with forum engine and all those goodies we get with those updates.

Cheers !
MB: GIGABYTE GA-Z77X-UD3H Intel 7 Series  - LGA1155, CPU: Intel Core i5-3570K - Quad Core, 3.40GHz (3.80GHz Max Turbo), CPU COOLER: Cooler Master Hyper 212 EVO Direct Heat Pipe R2, RAM: 16 GB Kingston HyperX Blu DDR3, VIDEO CARD: Galaxy GeForce GTX 560 Ti - 1GB, GDDR5, POWER SUPPLY: Corsair Enthusiast Series TX750 V2 - 750 Watts, HD: Seagate Barracuda - 2TB, 7200RPM, 64MB, SATA 6Gb/s

catfished

  • Guest
Re: Forum software needs update
« Reply #8 on: October 09, 2005, 07:47:46 PM »
I hate to have my first post on this board be a negative one but I find it amazing that you're still using this old a version of SMF. All you have to do is make a backup of your db just in case and then a couple of clicks in the package manager and you're good to go with 1.05 critical update version. This will be my one and only post on the subject, I came here to learn more about my Avast AV program. I just couldn't resist giving my opinion. :D

Regards,

Ed

Offline Lisandro

  • Avast team
  • Certainly Bot
  • *
  • Posts: 67241
Re: Forum software needs update
« Reply #9 on: October 09, 2005, 08:08:37 PM »
All you have to do is make a backup of your db just in case and then a couple of clicks in the package manager and you're good to go with 1.05 critical update version.
Kubecj said not... just read above...

I came here to learn more about my Avast AV program.
Welcome Ed... do you need help in anything?  ;)
The best things in life are free.

Offline polonus

  • Avast Überevangelist
  • Probably Bot
  • *****
  • Posts: 33590
  • malware fighter
Re: Forum software needs update
« Reply #10 on: October 09, 2005, 08:12:25 PM »
Hi catfished,

No one is criticizing you for asking the right questions. But then the answers are not always that simple. Sometimes it is a benefit to use an older program version, and security wise that can be very true. I for one cannot comment on the reasons, but a bit of conservatism sometimes is the right policy. Google and Adobe had to go back from added functionality in some desktop applications because later people found it was too intrusive. The webmaster of to-day and the security man-of-old are having conflicting interests to-day. That is all I like to comment. I would further encourage you to go on with this, if there are things happening on this forum that arouse your suspicion or are not good security wise, you should never hesitate to inform the moderators. We all come here to learn, and I think your contributions are very welcome.

greets,

polonus
Cybersecurity is more of an attitude than anything else. Avast Evangelists.

Use NoScript, a limited user account and a virtual machine and be safe(r)!

Offline DavidR

  • Avast Überevangelist
  • Certainly Bot
  • *****
  • Posts: 86518
  • No support PMs thanks
Re: Forum software needs update
« Reply #11 on: October 09, 2005, 08:44:49 PM »
Good news for Keubecj (0r bad news in having to review it and see if we should update ;D) SMF 1.1 has been released.
SMF 1.1 Release Candidate 1 has been released!
Windows 10 Home 64bit/ Acer Aspire F15/ Intel Core i5 7200U 2.5GHz, 8GB DDR4 memory, 256GB SSD, 1TB HDD/ avast! free 22.2.6003 (build 22.2.7013.717) UI 1.0.697/ Firefox, uBlock Origin, uMatrix/ MailWasher Pro/ Avast! Mobile Security

darth.mikey

  • Guest
Re: Forum software needs update
« Reply #12 on: October 10, 2005, 12:38:32 PM »
I just have one suggestion for this forum: MORE SMILEYS!!!  ;D

dk70

  • Guest
Re: Forum software needs update
« Reply #13 on: September 15, 2006, 08:22:44 PM »
Well just another reminder, SMF is now at 1.08 and without xraying changelogs Im willing to bet my Avast installation it is very highly recommended you update.

"don't touch it when it works" - I suggest you leave that decision to SMF people. They are not making updates to bother you. True about features, 1.1 looks like a major update and will be sweet, but this is relevant because of bug fixes and security updates. Not wize to be that clever when it comes to forumcode you have no knowledge about. These things can of course be checked out in details on SMF forum. Just hoping some idiot dont make use of the now fixed exploits and suddenly forum is #¤%&. A little surprising policy from an AV company but ok - you feel lucky, after all it is not phpbb - then you would have been out of circulation long ago  8)

As said, the effort to update is minimal.
« Last Edit: September 15, 2006, 08:24:58 PM by dk70 »

Offline szc

  • Avast Evangelist
  • Starting Graphoman
  • ***
  • Posts: 6957
Re: Forum software needs update
« Reply #14 on: September 15, 2006, 08:43:47 PM »
Well just another reminder, SMF is now at 1.08 and without xraying changelogs Im willing to bet my Avast installation it is very highly recommended you update.

"don't touch it when it works" - I suggest you leave that decision to SMF people. They are not making updates to bother you. True about features, 1.1 looks like a major update and will be sweet, but this is relevant because of bug fixes and security updates. Not wize to be that clever when it comes to forumcode you have no knowledge about. These things can of course be checked out in details on SMF forum. Just hoping some idiot dont make use of the now fixed exploits and suddenly forum is #¤%&. A little surprising policy from an AV company but ok - you feel lucky, after all it is not phpbb - then you would have been out of circulation long ago  8)

As said, the effort to update is minimal.

Well said dk70 ;)

Still it requires someone from Alwil crew to show some effort regarding this matter... is there anyone interested in doing this little update for us Alwil ?

Quote
...but this is relevant because of bug fixes and security updates...

Do we need more reasons than security related updates ? In AV forum like this one, that should be priority. I don't know much about forum software, but as dk70 already mentioned, this shouldn't be that difficult.

Cheers !
MB: GIGABYTE GA-Z77X-UD3H Intel 7 Series  - LGA1155, CPU: Intel Core i5-3570K - Quad Core, 3.40GHz (3.80GHz Max Turbo), CPU COOLER: Cooler Master Hyper 212 EVO Direct Heat Pipe R2, RAM: 16 GB Kingston HyperX Blu DDR3, VIDEO CARD: Galaxy GeForce GTX 560 Ti - 1GB, GDDR5, POWER SUPPLY: Corsair Enthusiast Series TX750 V2 - 750 Watts, HD: Seagate Barracuda - 2TB, 7200RPM, 64MB, SATA 6Gb/s